package edu.sc.seis.gee.datasetmgr;


import edu.iris.Fissures.IfDataSetMgr.DataSetAccess;
import edu.iris.Fissures.IfDataSetMgr.DataSetFactory;
import edu.iris.Fissures.IfDataSetMgr.DataSetFinder;
import edu.iris.Fissures.IfDataSetMgr.DataSetFinderOperations;
import edu.iris.Fissures.IfDataSetMgr.NotADataSetNode;
import edu.iris.Fissures.IfDataSetMgr.NotFound;


/**
 * DataSetFinderImpl.java
 *
 *
 * Created: Thu Jan 17 11:38:51 2002
 *
 * @author <a href="mailto:telukutl@piglet">Srinivasa Telukutla</a>
 * @version
 */

public class DataSetFinderImpl implements DataSetFinderOperations{
    public DataSetFinderImpl (){

    }

     //
    // IDL:iris.edu/Fissures/IfDataSetMgr/DataSetFinder/find_by_id:1.0
    //
    /***/

    public DataSetAccess
    find_by_id(String id)
        throws NotFound,
    NotADataSetNode {
    try {
        int idint = Integer.parseInt(id);
    } catch(NumberFormatException nfe) {

        throw new NumberFormatException();

    }

    return null;
    }

    //
    // IDL:iris.edu/Fissures/IfDataSetMgr/DataSetFinder/find_by_name:1.0
    //
    /***/

    public DataSetAccess[]
    find_by_name(String a_name)
        throws edu.iris.Fissures.FissuresException {

    return null;
    }
    //
    // IDL:iris.edu/Fissures/IfDataSetMgr/DataSetComponent/a_finder:1.0
    //
    /***/

    public DataSetFinder
    a_finder() {

    return null;
    }

    //
    // IDL:iris.edu/Fissures/IfDataSetMgr/DataSetComponent/a_factory:1.0
    //
    /***/

    public DataSetFactory
    a_factory() {

    return null;

    }

     //
    // IDL:iris.edu/Fissures/IfDataSetMgr/DataSetFinder/find_by_owner:1.0
    //
    /***/

    public DataSetAccess[]
    find_by_owner(String owner)
        throws edu.iris.Fissures.FissuresException {

    return null;

    }

}// DataSetFinderImpl
